package com.alibaba.druid.sql.dialect.greenplum.ast;

import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.dialect.greenplum.visitor.GPASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public abstract class GPSQLObjectImpl extends SQLObjectImpl implements GPSQLObject {
   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((GPASTVisitor)visitor);
   }

   public abstract void accept0(GPASTVisitor var1);
}
